summaryrefslogtreecommitdiff
path: root/tests/rm/r-3
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-3')
-rwxr-xr-xtests/rm/r-37
1 files changed, 4 insertions, 3 deletions
diff --git a/tests/rm/r-3 b/tests/rm/r-3
index bbea37001..96cb8844a 100755
--- a/tests/rm/r-3
+++ b/tests/rm/r-3
@@ -3,14 +3,15 @@
# An early version of my rewritten rm failed to remove all of
# the files on SunOS4 when there were 254 or more in a directory.
-: ${TMPDIR=.}
-
if test "$VERBOSE" = yes; then
rm --version
set -x
fi
-tmp=$TMPDIR/t-rm.$$
+pwd=`pwd`
+tmp=`echo "$0"|sed 's,.*/,,'`.tmp
+trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
framework_fail=0
mkdir $tmp || framework_fail=1